# List Endpoints

Launch stage: GA

`GET /api/2.0/vector-search/endpoints`

List all AI Search endpoints in the workspace.

API scopes: vector-search

## Query parameters

- `page_token` (string, optional)
  Token for pagination

## Returns

- `endpoints` (array of object, optional)
  An array of Endpoint objects
  - `name` (string, optional)
    Name of the AI Search endpoint
    Example: `docs-endpoint`
  - `creator` (string, optional)
    Creator of the endpoint
    Example: `john@example.com`
  - `creation_timestamp` (int64, optional)
    Timestamp of endpoint creation
    Example: `1702013512061`
  - `last_updated_timestamp` (int64, optional)
    Timestamp of last update to the endpoint
    Example: `1702013512061`
  - `endpoint_type` (string, optional)
    Type of endpoint
    Possible values: `STORAGE_OPTIMIZED`, `STANDARD`
  - `last_updated_user` (string, optional)
    User who last updated the endpoint
    Example: `john@example.com`
  - `id` (string, optional)
    Unique identifier of the endpoint
    Example: `c56bf0a9-4929-4bd4-8bd5-d82ca62f9c76`
  - `endpoint_status` (object, optional)
    Current status of the endpoint
    - `state` (string, optional)
      Current state of the endpoint
      Possible values: `PROVISIONING`, `ONLINE`, `OFFLINE`, `RED_STATE`, `YELLOW_STATE`, `DELETED`
      Example: `PROVISIONING`
    - `message` (string, optional)
      Additional status message
  - `num_indexes` (int32, optional)
    Number of indexes on the endpoint
  - `budget_policy_id` (string, optional, Public Preview)
    The user-selected budget policy id for the endpoint.
  - `effective_budget_policy_id` (string, optional, Public Preview)
    The budget policy id applied to the endpoint
    Example: `8b0444ff-8b60-48b0-9d31-e391f6126e0f`
  - `scaling_info` (object, optional)
    Scaling information for the endpoint
    - `state` (string, optional, Beta)
      The current state of the scaling change request.
      Possible values: `SCALING_CHANGE_UNSPECIFIED`, `SCALING_CHANGE_APPLIED`, `SCALING_CHANGE_IN_PROGRESS`
      Example: `SCALING_CHANGE_APPLIED`
    - `requested_target_qps` (int64, optional)
      The requested QPS target for the endpoint. Best-effort; the system does not
       guarantee this QPS will be achieved.
      Example: `500`
- `next_page_token` (string, optional)
  A token that can be used to get the next page of results. If not present, there are no more results to show.

## Response

```json
{
  "endpoints": [
    {
      "name": "docs-endpoint",
      "creator": "john@example.com",
      "creation_timestamp": 1702013512061,
      "last_updated_timestamp": 1702013512061,
      "endpoint_type": "string",
      "last_updated_user": "john@example.com",
      "id": "c56bf0a9-4929-4bd4-8bd5-d82ca62f9c76",
      "endpoint_status": {},
      "num_indexes": 0,
      "budget_policy_id": "string",
      "effective_budget_policy_id": "8b0444ff-8b60-48b0-9d31-e391f6126e0f",
      "scaling_info": {}
    }
  ],
  "next_page_token": "string"
}
```

